Package com.enonic.xp.node

## Class NodeIndexPath

- java.lang.Object
- - com.enonic.xp.node.NodeIndexPath

-     @PublicApi
      public class NodeIndexPath
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IndexPath` | `ALL_TEXT` |
    `static IndexPath` | `ID` |
    `static IndexPath` | `MANUAL_ORDER_VALUE` |
    `static IndexPath` | `NAME` |
    `static IndexPath` | `NODE_TYPE` |
    `static IndexPath` | `PARENT_PATH` |
    `static IndexPath` | `PATH` |
    `static IndexPath` | `PERMISSIONS_CREATE` |
    `static IndexPath` | `PERMISSIONS_DELETE` |
    `static IndexPath` | `PERMISSIONS_MODIFY` |
    `static IndexPath` | `PERMISSIONS_PUBLISH` |
    `static IndexPath` | `PERMISSIONS_READ` |
    `static IndexPath` | `PERMISSIONS_READ_PERMISSION` |
    `static IndexPath` | `PERMISSIONS_WRITE_PERMISSION` |
    `static IndexPath` | `REFERENCE` |
    `static IndexPath` | `SOURCE` |
    `static IndexPath` | `STATE` |
    `static IndexPath` | `TIMESTAMP` |
    `static IndexPath` | `VERSION` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NodeIndexPath()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TIMESTAMP

          public static final IndexPath TIMESTAMP

    - #### STATE

          public static final IndexPath STATE

    - #### VERSION

          public static final IndexPath VERSION

    - #### NODE_TYPE

          public static final IndexPath NODE_TYPE

    - #### ALL_TEXT

          public static final IndexPath ALL_TEXT

    - #### MANUAL_ORDER_VALUE

          public static final IndexPath MANUAL_ORDER_VALUE

    - #### PATH

          public static final IndexPath PATH

    - #### ID

          public static final IndexPath ID

    - #### SOURCE

          public static final IndexPath SOURCE

    - #### NAME

          public static final IndexPath NAME

    - #### REFERENCE

          public static final IndexPath REFERENCE

    - #### PARENT_PATH

          public static final IndexPath PARENT_PATH

    - #### PERMISSIONS_READ

          public static final IndexPath PERMISSIONS_READ

    - #### PERMISSIONS_CREATE

          public static final IndexPath PERMISSIONS_CREATE

    - #### PERMISSIONS_DELETE

          public static final IndexPath PERMISSIONS_DELETE

    - #### PERMISSIONS_MODIFY

          public static final IndexPath PERMISSIONS_MODIFY

    - #### PERMISSIONS_PUBLISH

          public static final IndexPath PERMISSIONS_PUBLISH

    - #### PERMISSIONS_READ_PERMISSION

          public static final IndexPath PERMISSIONS_READ_PERMISSION

    - #### PERMISSIONS_WRITE_PERMISSION

          public static final IndexPath PERMISSIONS_WRITE_PERMISSION

  - ### Constructor Detail

    - #### NodeIndexPath

          public NodeIndexPath()